Attribute VB_Name = "inpout"

'Inp and Out declarations for direct port I/O
'in 32-bit Visual Basic 4 programs.

Public Declare Function Inp Lib "inpout32.dll" _
Alias "Inp32" (ByVal PortAddress As Integer) As Integer
Public Declare Sub Out Lib "inpout32.dll" _
Alias "Out32" (ByVal PortAddress As Integer, ByVal Value As Integer)
Global CLOCKDATA As Integer
Global CLOCKSETUP As Integer
Global INPUTSETUP As Integer
Global QUADX1 As Integer
Global QUADX2 As Integer
Global QUADX4 As Integer
Global BPRESET As Integer
Global BPRESETB As Integer
Global CNTRRESET As Integer
Global CNTRRESETB As Integer
Global TRSFRPRCNTR As Integer
Global TRSFRCNTROL As Integer
Global EFLAGRESET As Integer
Global INDEXDISABLE As Integer
Global BASE7266 As Integer
Global XAXISDATA As Integer
Global XAXISCTRL As Integer
Global YAXISDATA As Integer
Global YAXISCTRL As Integer
Global ZAXISDATA As Integer
Global ZAXISCTRL As Integer
Global WAXISDATA As Integer
Global WAXISCTRL As Integer
Global XMode As Boolean
Global YMode As Boolean
Global ZMode As Boolean
Global WMode As Boolean
Global XPPI As Long
Global XPPMM As Long
Global YPPI As Long
Global YPPMM As Long
Global ZPPI As Long
Global ZPPMM As Long
Global WPPI As Long
Global WPPMM As Long
Global XBacklash As Single
Global YBacklash As Single
Global ZBacklash As Single
Global WBacklash As Single
Global XInchesPerPulse As Single
Global XMMPerPulse As Single
Global YInchesPerPulse As Single
Global YMMPerPulse As Single
Global ZInchesPerPulse As Single
Global ZMMPerPulse As Single
Global WInchesPerPulse As Single
Global WMMPerPulse As Single
Public Sub InitX()
        Out XAXISCTRL, INDEXDISABLE
        Out XAXISCTRL, EFLAGRESET
        Out XAXISCTRL, BPRESETB
        Out XAXISDATA, CLOCKDATA
        Out XAXISCTRL, CLOCKSETUP
        Out XAXISCTRL, INPUTSETUP
        Out XAXISCTRL, QUADX4
        Out XAXISCTRL, CNTRRESETB
        Out XAXISCTRL, BPRESET
        Out XAXISDATA, 0
        Out XAXISDATA, 0
        Out XAXISDATA, 0
        Out XAXISCTRL, TRSFRPRCNTR
        Out XAXISCTRL, TRSFRCNTROL
        Out XAXISCTRL, BPRESET
End Sub

Public Sub InitY()
        Out YAXISCTRL, BPRESET
        Out YAXISDATA, 0
        Out YAXISDATA, 0
        Out YAXISDATA, 0
        Out YAXISCTRL, TRSFRPRCNTR
        Out YAXISCTRL, TRSFRCNTROL
        Out YAXISCTRL, BPRESET
        Out YAXISCTRL, INDEXDISABLE
        Out YAXISCTRL, EFLAGRESET
        Out YAXISCTRL, BPRESETB
        Out YAXISDATA, CLOCKDATA
        Out YAXISCTRL, CLOCKSETUP
        Out YAXISCTRL, INPUTSETUP
        Out YAXISCTRL, QUADX4
        Out YAXISCTRL, CNTRRESETB
        Out YAXISCTRL, BPRESET
End Sub

Public Sub InitZ()
      Out ZAXISCTRL, INDEXDISABLE
       Out ZAXISCTRL, EFLAGRESET
       Out ZAXISCTRL, BPRESETB
       Out ZAXISDATA, CLOCKDATA
       Out ZAXISCTRL, CLOCKSETUP
       Out ZAXISCTRL, INPUTSETUP
       Out ZAXISCTRL, QUADX4
       Out ZAXISCTRL, CNTRRESETB
       Out ZAXISCTRL, BPRESET
       Out ZAXISDATA, 0
       Out ZAXISDATA, 0
       Out ZAXISDATA, 0
       Out ZAXISCTRL, TRSFRPRCNTR
       Out ZAXISCTRL, TRSFRCNTROL
       Out ZAXISCTRL, BPRESET
End Sub
Public Sub InitW()
      Out WAXISCTRL, INDEXDISABLE
       Out WAXISCTRL, EFLAGRESET
       Out WAXISCTRL, BPRESETB
       Out WAXISDATA, CLOCKDATA
       Out WAXISCTRL, CLOCKSETUP
       Out WAXISCTRL, INPUTSETUP
       Out WAXISCTRL, QUADX4
       Out WAXISCTRL, CNTRRESETB
       Out WAXISCTRL, BPRESET
       Out WAXISDATA, 0
       Out WAXISDATA, 0
       Out WAXISDATA, 0
       Out WAXISCTRL, TRSFRPRCNTR
       Out WAXISCTRL, TRSFRCNTROL
       Out WAXISCTRL, BPRESET
End Sub

Public Sub SetX(A As Long, B As Long, C As Long)
        Out XAXISCTRL, BPRESET
        Out XAXISDATA, A
        Out XAXISDATA, B
        Out XAXISDATA, C
        Out XAXISCTRL, TRSFRCNTROL
        Out XAXISCTRL, TRSFRPRCNTR
        Out XAXISCTRL, BPRESET
End Sub

Public Sub SetY(A As Long, B As Long, C As Long)
        Out YAXISCTRL, BPRESET
        Out YAXISDATA, A
        Out YAXISDATA, B
        Out YAXISDATA, C
        Out YAXISCTRL, TRSFRCNTROL
        Out YAXISCTRL, TRSFRPRCNTR
        Out YAXISCTRL, BPRESET
        
End Sub

Public Sub SetZ(A As Long, B As Long, C As Long)
        Out ZAXISCTRL, BPRESET
        Out ZAXISDATA, A
        Out ZAXISDATA, B
        Out ZAXISDATA, C
        Out ZAXISCTRL, TRSFRCNTROL
        Out ZAXISCTRL, TRSFRPRCNTR
        Out ZAXISCTRL, BPRESET
        
End Sub
Public Sub SetW(A As Long, B As Long, C As Long)
        Out WAXISCTRL, BPRESET
        Out WAXISDATA, A
        Out WAXISDATA, B
        Out WAXISDATA, C
        Out WAXISCTRL, TRSFRCNTROL
        Out WAXISCTRL, TRSFRPRCNTR
        Out WAXISCTRL, BPRESET
        
End Sub

Public Sub SetVariables()
'Sets static parameters for LS7622
        CLOCKDATA = 14
        CLOCKSETUP = &H98 '152
        INPUTSETUP = &HC1 '193
        QUADX1 = &HA8 '168
        QUADX2 = &HB0 '176
        QUADX4 = &HB8 '184
        BPRESET = &H1  '1
        BPRESETB = &H81 '129
        CNTRRESET = &H2  '2
        CNTRRESETB = &H82 '130
        TRSFRPRCNTR = &H8  '8
        TRSFRCNTROL = &H90 '144
        EFLAGRESET = &H86 '134
        INDEXDISABLE = &HE0 '224
        'BASE7266 = &H2A0 '672
'END SET Static Parameters

'Set variable parameters
        XAXISDATA = BASE7266 + 0
        XAXISCTRL = BASE7266 + 1
        YAXISDATA = BASE7266 + 2
        YAXISCTRL = BASE7266 + 3
        ZAXISDATA = BASE7266 + 4
        ZAXISCTRL = BASE7266 + 5
        WAXISDATA = BASE7266 + 6
        WAXISCTRL = BASE7266 + 7
 
'End Set variable parameters
End Sub
